Subject: bug#69872: 29.2; Async native compilation of seq.el test uses up resources and hangs

From: Andrea Corallo <[email-masked]>
Date: Sun, 24 Mar 2024 07:26:52 -0400

Andrea Corallo <[email-masked]> writes:

> Stefan Monnier <[email-masked]> writes:
>
>>> The question is of course also how much effort circular lists deserve in
>>> the compiler.  From my point of view, not too much because they aren't
>>> very useful, in code at least.  And dealing with them costs runtime.
>>
>> Circular data structures are perfectly normal in source code under
>> a `quote` but the code itself should never be cyclic (so I think it
>> would be OK to signal an error (and/or to inf-loop) when asked to
>> compile a chunk of code that has a cycle).  So we *should* handle
>> circular data structures correctly.
>
> I agree, Saturday I should have some time to look into this.

A little time after... I finally managed to get to it, sorry for the
delay.

I've pushed into master c5de73a95a6, it fixes my reprodurer here and
adds a test for this.

If anyone could confirm this is fixed i'll be (extremely) happy to close
this :)

Thanks

  Andrea